English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 143769 CVE descriptions
and 71225 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2011:092
 http://www.mandriva.com/security/
 _______________________________________________________________________

 Package : perl-IO-Socket-SSL
 Date    : May 18, 2011
 Affected: 2010.1
 _______________________________________________________________________

 Problem Description:

 A vulnerability has been found and corrected in perl-IO-Socket-SSL:
 
 IO::Socket::SSL Perl module 1.35, when verify_mode is not VERIFY_NONE,
 fails open to VERIFY_NONE instead of throwing an error when a
 ca_file/ca_path cannot be verified, which allows remote attackers to
 bypass intended certificate restrictions (CVE-2010-4334).
 
 The updated packages have been patched to correct this issue.
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4334
 _______________________________________________________________________

 Updated Packages:

 Mandriva Linux 2010.1:
 007ca8027ba70b7e4ab5da50c885be90  2010.1/i586/perl-IO-Socket-SSL-1.330.0-1.1mdv2010.2.noarch.rpm 
 9018fd9f1902f37c8ec0c25e4338bb7b  2010.1/SRPMS/perl-IO-Socket-SSL-1.330.0-1.1mdv2010.2.src.rpm

 Mandriva Linux 2010.1/X86_64:
 f6df3259d182f82753f57c0df646627a  2010.1/x86_64/perl-IO-Socket-SSL-1.330.0-1.1mdv2010.2.noarch.rpm 
 9018fd9f1902f37c8ec0c25e4338bb7b  2010.1/SRPMS/perl-IO-Socket-SSL-1.330.0-1.1mdv2010.2.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFN07AymqjQ0CJFipgRAsEjAKDuXfnaLn02Zl1cCXje3WCv8ec8egCfVIP7
atn1PDQgnyipvZyatT+bqN0=
=CL1s
-----END PGP SIGNATURE-----

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe

© 1998-2019 E-Soft Inc. All rights reserved.